%global shortname typescript

Name:           nodejs-typescript
Version:        1.4.1
Release:        5%{?dist}
Summary:        A language for application scale JavaScript development

License:        ASL 2.0
URL:            http://typescriptlang.org/
Source0:        http://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
TypeScript is a language for application-scale JavaScript. TypeScript
adds optional types, classes, and modules to JavaScript. TypeScript
supports tools for large-scale JavaScript applications for any browser,
for any host, on any OS. TypeScript compiles to readable, standards-based
JavaScript.

%prep
%setup -qn package

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json bin/ %{buildroot}%{nodejs_sitelib}/%{shortname}

# Make tsc executable
chmod +x %{buildroot}%{nodejs_sitelib}/%{shortname}/bin/tsc

# Symlink tsc executable file to _bindir
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    ln -s %{nodejs_sitelib}/%{shortname}/bin/tsc
popd

%files
%{_bindir}/tsc
%{nodejs_sitelib}/%{shortname}
%doc ThirdPartyNoticeText.txt README.md LICENSE.txt CopyrightNotice.txt

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 31 2015 Gerard Ryan <galileo@fedoraproject> - 1.4.1-1
- Initial package
